-- Pierwotny właściciel i twórca kodu: AmaMa
-- Zakaz używania / edycji kodu bez wcześniejszej zgody ze strony właściciela
-- Zakaz wykorzystywania całego lub fragmentów kodu
-- W przypadku złamania powyzszych zasad sprawa zostanie skierowana do sądu pod zarzutem: Naruszenia majątkowych praw autorskich
-- Pierwotnie pełne prawo do używania tego kodu posiada tylko AmaMa

local sw,sh = guiGetScreenSize()
local px,py = sw/1366,sh/768
local paneleventztp = false
loadstring(exports.dgs:dgsImportFunction())()

addEvent("eventZTP:showGUI", true)
addEventHandler("eventZTP:showGUI", resourceRoot, function()
    showCursor(true)
	paneleventztp = true
    addEventHandler ( "onDgsMouseClick", getRootElement(), onclick)
    rndRect = dgsCreateRoundRect(30,false,tocolor(0,0,0,190))  
    rect1 = dgsCreateImage(400*px,250*py,566*px,268*py,rndRect,false)
    button = dgsCreateButton( 10*px, 200*py, 166*px, 40*py, "Aktywuj/Dezaktywuj TP", false,rect1,false,false,false,false,false,false,false,tocolor(90,90,90),tocolor(255,0,0,90))
    button2 = dgsCreateButton( 200*px, 200*py, 166*px, 40*py, "Losuj animację", false,rect1,false,false,false,false,false,false,false,tocolor(90,90,90),tocolor(255,0,0,90))
    button3 = dgsCreateButton( 390*px, 200*py, 166*px, 40*py, "Zamknij", false,rect1,false,false,false,false,false,false,false,tocolor(90,90,90),tocolor(255,0,0,90))
end)

addEvent("eventZTP:hideGUI", true)
addEventHandler("eventZTP:hideGUI", resourceRoot, function()
    showCursor(false)
	paneleventztp = false
    removeEventHandler ( "onDgsMouseClick", getRootElement(), onclick)
    if isElement(rect1) then
    destroyElement(rndRect)
    destroyElement(rect1)
    end
end)

addEvent("eventZTP:tpresult", true)
addEventHandler("eventZTP:tpresult", resourceRoot, function(arg)
    aktywnateleportacja = arg
end)
--[[
function onClientColShapeHit( plr, md )
    if ( plr == localPlayer ) then  
        setElementData(localPlayer,"player:greenzone",true)     
    end
end
addEventHandler("onClientColShapeHit", root, onClientColShapeHit)

function onClientColShapeHit( plr, md )
    if ( plr == localPlayer ) then  
        setElementData(localPlayer,"player:greenzone",false)    
        --setElementData(localPlayer,"player:positionztp",false)
        setElementData(localPlayer,"player:memberztp",false)
    end
end
addEventHandler("onClientColShapeLeave", root, onClientColShapeHit)]]


function onclick ( btn, state )
    if btn == "left" and state == "down" and paneleventztp == true then
        
        if source == button3 then
            triggerEvent("eventZTP:hideGUI",resourceRoot)
        end
        if source == button then
            triggerServerEvent("eventZTP:activetp",resourceRoot) 
        end
        if source == button2 then
            triggerServerEvent("eventZTP:animation",resourceRoot) 
        end
    end
end